package com.e6yun.project.sdk.api.pojo.base;

import com.google.common.base.MoreObjects;

public class ApiResponse<T> {
    private Integer code;
    private String message;
    private T data;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(ApiResponse.class)
                .add("code", code)
                .add("message", message)
                .add("data", data)
                .toString();
    }
}
